import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
/**
 * Token de configuração para gerenciamento de Unidade
 */
export declare const UNIDADE_CONFIG: InjectionToken<IUnidadeConfig>;
/**
 * Interface de configuração para gerenciamento de Unidade
 */
export interface IUnidadeConfig {
    /** URL do serviço de domínio da Unidade */
    urlUnidade: Observable<string>;
    /** URL do serviço de query da Unidade */
    urlUnidadeQuery: Observable<string>;
    /** Rota para direcionamento quando a unidade não é encontrada */
    rotaUnidadeNaoEncontrada: string;
    /** Rota para direcionamento quando ocorre erro no servidor */
    rotaErroBuscarUnidade: string;
}
